#include <iostream>

using namespace std;

struct Takmicar {
    int druzeljubivost;
    int poznanstva;
};

int main() {
    int n, m;
    cin >> n >> m;

    Takmicar t[100000];
    for (int i = 0; i < n; i++) {
        cin >> t[i].druzeljubivost;
    }

    for (int i = 0; i < m; i++) {
        int x, y;
        cin >> x >> y;
        x--;
        y--;

        if (t[x].druzeljubivost < 0 || t[y].druzeljubivost < 0) {
            t[x].poznanstva--; 
            t[y].poznanstva--;
        }
        else {
            t[x].poznanstva++; 
            t[y].poznanstva++;
        }
    }

    int uksreca = 0;
    for (int i = 0; i < n; i++) {
        uksreca += t[i].druzeljubivost * t[i].poznanstva;
    }

    cout << uksreca << endl;

    return 0;
}